Subject: Re: Bug in setup.exe 2.194.2.24
From: "Cliff Hones" <[email-masked]>
To: "Robert Collins" <[email-masked]>, <[email-masked]>
Date: Sun, 21 Apr 2002 14:55:26 +0100

Robert,

It seems then that the buggy behaviour is present on W9X NT and
W2K but not XP.  Since the majority of Cygwin users do not use XP
(yet) I'd suggest that it would be a good idea for some setup.exe
developers to have access to a variety of systems to help avoid
and debug this sort of problem in the future.

FYI, here's another scenario which shows up the problem
(tried on a W98SE system, but on previous experience also
likely to occur on NT4SP6).

1)  Start with a Cygwin-free machine
    [I renamed my Cygwin root directory and my registry
     key to achieve this.]

2)  Download current setup.  Run it in install from internet mode.
    Use a new empty directory for the downloads.
    Do a base installation, accepting all defaults, *except*
    for one package.  Choose any package with a 'previous' version,
    and select that instead of the current. {I chose bash-2.05a-2.]

3)  Now run setup in "download from internet" mode.  It should
    notice the out-of-date package, and by default offer to
    download it.  Accept this, and let it download.

4)  Repeat 3.  setup should spot that you've now downloaded
    the later version (but not installed it) and not offer
    to download it again.  On my box it downloads it
    again by default.

As a first step to investigating this, I moved my 'latest'
directory from under the mirror directory to the top
level of the local download directory, and the problem still
occured.  So if the problem is in check_for_cached it's
common to both legacy and mirror directory handling.

-- Cliff

>From: "Robert Collins" <[email-masked]>
>
> > From: Gerrit P. Haase [mailto:[email-masked]] 
> > > And I *stil* cannot reproduce it. Setup detects the local 
> > files *every 
> > > single time*.
> > 
> > what system are you on?
> > I have problems on Win2000 and WinNT4.
> > 
> > Say, you *install* everything you need from the release using 
> > the 'current' (default setting) including some packages where 
> > a 'test' version is available (autoconf, automake).
> > 
> > Now start Setup (Download only mode) again, click one time on 
> > 'View' to see the full list and choose 'Exp' from the 
> > radiobuttons.  All what is present in setup.ini as test 
> > (experimental) gets downloaded (if it doesn't default to 
> > skip), regardless if it already present in your archive 
> > (repository) or not .
> > 
> > Now repeat it, Setup will download everything again. 
> 
> No, it doesn't. That's the point - I can't repeat this (with the
> setup200202 branch - the released setup). I suggest you roll your own
> and debug it.
> Start with download.cc:check_for_cached.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/